import debounce from './debounce' // 防抖
import loading from './loading' // 防抖
import permission from './permission' // 权限

// 自定义指令
const directives = {
  debounce,
  loading,
  permission
}

export default {
  install (Vue) {
    Object.keys(directives).forEach((key) => {
      Vue.directive(key, directives[key])
    })
  }
}
